> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate a datasource

> Create a new datasource by copying the configuration of an existing datasource.

Only V2 (SDK) datasources can be duplicated. A request to duplicate a classic (V1) datasource returns a `400` error.

The new datasource gets all settings from the source datasource, including the pipeline and parser IDs, except for the fields you provide in the request body:

* `targetId` is required and becomes the ID of the new datasource.
* `description`, `application`, and `collection` are optional and replace the source values when provided.

Fusion doesn't validate the copied pipeline and parser IDs, or the `application` and `collection` values.



## OpenAPI

````yaml /api-reference/5.19/fusion-api-connectors.json post /connectors/datasources/{id}/duplicate
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /connectors/datasources/{id}/duplicate:
    post:
      tags:
        - Datasource Configuration API
      summary: Duplicate a datasource
      description: >-
        Create a new datasource by copying the configuration of an existing
        datasource.


        Only V2 (SDK) datasources can be duplicated. A request to duplicate a
        classic (V1) datasource returns a `400` error.


        The new datasource gets all settings from the source datasource,
        including the pipeline and parser IDs, except for the fields you provide
        in the request body:


        * `targetId` is required and becomes the ID of the new datasource.

        * `description`, `application`, and `collection` are optional and
        replace the source values when provided.


        Fusion doesn't validate the copied pipeline and parser IDs, or the
        `application` and `collection` values.
      operationId: duplicateDataSource
      parameters:
        - name: id
          description: The ID of the datasource to copy.
          in: path
          required: true
          schema:
            type: string
          example: test-data-source
        - name: context
          description: >-
            The context of resource. It usually is the app inside which the
            resource is created.
          in: query
          required: false
          schema:
            type: string
          example: app:api-test-app
      requestBody:
        description: The ID for the new datasource and any fields to override in the copy.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DuplicateDatasource'
            example:
              targetId: test-data-source-copy
              description: Copy of test-data-source
              collection: api-test-app
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              example:
                id: test-data-source-copy
                created: '2026-03-13T18:20:00.000Z'
                modified: '2026-03-13T18:20:00.000Z'
                connector: lucidworks.file-upload
                type: lucidworks.file-upload
                pipeline: api-test-app
                parserId: api-test-app
                description: Copy of test-data-source
                coreProperties:
                  skipConfigValidation: false
                properties:
                  collection: api-test-app
                  fileId: products.json
                  mediaType: application/json
              schema:
                type: object
        '400':
          description: >-
            Bad Request. The source datasource is a classic (V1) datasource,
            which can't be duplicated.
          content:
            application/json:
              example:
                validationErrors:
                  - field: id
                    value: classic-data-source
                    error: classic.connector.not.supported
              schema:
                type: object
                additionalProperties:
                  type: object
        '404':
          description: Not Found. No datasource exists with the specified ID.
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
        '409':
          description: Conflict. A datasource with the requested `targetId` already exists.
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
components:
  schemas:
    DuplicateDatasource:
      required:
        - targetId
      type: object
      properties:
        targetId:
          type: string
          description: The ID of the new datasource. The ID must not already be in use.
        description:
          type: string
          description: >-
            The description of the new datasource. If omitted, the source
            datasource's description is copied.
        application:
          type: string
          description: >-
            The app to create the new datasource in. If omitted, the new
            datasource is created in the same app as the source datasource.
        collection:
          type: string
          description: >-
            The collection to associate with the new datasource. If omitted, the
            source datasource's collection is copied. Fusion doesn't check
            whether the collection exists.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.